MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028223Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2016-12-15 11:302017-09-29 16:31
Reporterjgv 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.1.0 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028223: Projection of closed curve onto cylinder is wrong
DescriptionProjLib_ProjectedCurve algorithm builds wrong curve because of setting of wrong restrictions in U direction on the cylinder (whereas there are no restrictions in V direction). May be the same problem takes place on other types of surfaces. See modification in the branch.
Steps To Reproducetest bugs modalg_6 bug28223
TagsNo tags attached.
Test case numberbugs modalg_6 bug28223
Attached Files? file icon bug28223_face.brep (27,235 bytes) 2016-12-22 13:58

- Relationships

-  Notes
(0061681)
git (administrator)
2016-12-15 11:53

Branch CR28223 has been created by jgv.

SHA-1: e310289d84e4466ade108888ffb732b2f0e38d5d


Detailed log of new commits:

Author: jgv
Date: Thu Dec 15 11:53:08 2016 +0300

    Possible solution.
(0061852)
git (administrator)
2016-12-19 13:34

Branch CR28223 has been updated forcibly by ifv.

SHA-1: 462694de280769456ab23ca3acdf7578a11df6f0
(0061853)
ifv (developer)
2016-12-19 13:36

Branch CR28223 is ready for review
(0061873)
msv (developer)
2016-12-19 16:47

Please extract computation of number of points into a separate function to avoid code duplication.
(0061890)
git (administrator)
2016-12-20 10:33

Branch CR28223 has been updated forcibly by ifv.

SHA-1: 15f817cbe7944cf2a9c5e6f2668a972ab584610e
(0061891)
ifv (developer)
2016-12-20 10:34

CR28223 is updated according to remarks
(0061937)
msv (developer)
2016-12-21 10:50

Please create the test case.
(0062004)
git (administrator)
2016-12-22 14:01

Branch CR28223 has been updated forcibly by ifv.

SHA-1: 9d39fc5ba7f713c0c5072d370da06d8837832dd6
(0062005)
ifv (developer)
2016-12-22 14:03

Test case added
(0062042)
msv (developer)
2016-12-23 09:35

Reviewed.
(0062072)
git (administrator)
2016-12-23 17:04

Branch CR28223 has been updated forcibly by apv.

SHA-1: d179023c4265b2d9deb8b07b627f1d6b0bfbf28a
(0062073)
apv (tester)
2016-12-23 17:04

Branch CR28223 has been rebased on the current master
(0062114)
apv (tester)
2016-12-26 12:32

Dear BugMaster,

Branch CR28223 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: d179023c4265b2d9deb8b07b627f1d6b0bfbf28a

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MasOS: 0 (0 on master)
products component:
   Linux: 63
   Windows: 0
   MacOS: 1127

Regressions/Differences:
Not detected

Testing cases:
bugs modalg_6 bug28223 - OK
http://occt-tests/CR28223-master-OCCT/Debian70-64/bugs/modalg_6/bug28223.html [^]
http://occt-tests/CR28223-master-OCCT/Windows-64-VC10/bugs/modalg_6/bug28223.html [^]

Testing on Linux:
Total MEMORY difference: 93176482 / 93054593 [+0.13%]
Total CPU difference: 21546.080000000125 / 21520.56000000037 [+0.12%]

Testing on Windows:
Total MEMORY difference: 58628059 / 58650770 [-0.04%]
Total CPU difference: 19356.74448089858 / 19731.318481998722 [-1.90%]
(0063563)
git (administrator)
2017-02-08 11:32

Branch CR28223 has been deleted by kgv.

SHA-1: d179023c4265b2d9deb8b07b627f1d6b0bfbf28a

- Related Changesets
occt: master 0a40a30d
Timestamp: 2016-12-16 11:26:42
Author: ifv
Committer: apn
Details ] Diff ]
0028223: Projection of closed curve onto cylinder is wrong

Algorithm of calculation UV bounds of projected curve for periodic surfaces is modified.
mod - src/ProjLib/ProjLib_ComputeApprox.cxx Diff ] File ]
add - tests/bugs/modalg_6/bug28223 Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-12-15 11:30 jgv New Issue
2016-12-15 11:30 jgv Assigned To => msv
2016-12-15 11:30 jgv File Added: cyl_face.brep
2016-12-15 11:53 git Note Added: 0061681
2016-12-15 14:37 msv Assigned To msv => ifv
2016-12-15 14:37 msv Status new => assigned
2016-12-15 14:37 msv Product Version => 7.1.0
2016-12-19 13:34 git Note Added: 0061852
2016-12-19 13:36 ifv Note Added: 0061853
2016-12-19 13:36 ifv Assigned To ifv => msv
2016-12-19 13:36 ifv Status assigned => resolved
2016-12-19 16:47 msv Note Added: 0061873
2016-12-19 16:47 msv Assigned To msv => ifv
2016-12-19 16:47 msv Status resolved => assigned
2016-12-20 10:33 git Note Added: 0061890
2016-12-20 10:34 ifv Note Added: 0061891
2016-12-20 10:34 ifv Assigned To ifv => msv
2016-12-20 10:34 ifv Status assigned => resolved
2016-12-21 10:50 msv Note Added: 0061937
2016-12-21 10:50 msv Assigned To msv => ifv
2016-12-21 10:50 msv Status resolved => assigned
2016-12-22 13:58 ifv File Added: bug28223_face.brep
2016-12-22 13:59 ifv File Deleted: cyl_face.brep
2016-12-22 13:59 ifv Steps to Reproduce Updated View Revisions
2016-12-22 14:01 git Note Added: 0062004
2016-12-22 14:03 ifv Note Added: 0062005
2016-12-22 14:03 ifv Assigned To ifv => msv
2016-12-22 14:03 ifv Status assigned => resolved
2016-12-22 14:03 ifv Steps to Reproduce Updated View Revisions
2016-12-23 09:35 msv Note Added: 0062042
2016-12-23 09:35 msv Assigned To msv => bugmaster
2016-12-23 09:35 msv Status resolved => reviewed
2016-12-23 12:04 apv Assigned To bugmaster => apv
2016-12-23 17:04 git Note Added: 0062072
2016-12-23 17:04 apv Note Added: 0062073
2016-12-26 10:37 apv Test case number => bugs modalg_6 bug28223
2016-12-26 10:37 apv Steps to Reproduce Updated View Revisions
2016-12-26 12:31 apv Assigned To apv => bugmaster
2016-12-26 12:31 apv Status reviewed => tested
2016-12-26 12:32 apv Note Added: 0062114
2016-12-30 18:08 apn Changeset attached => occt master 0a40a30d
2016-12-30 18:08 apn Assigned To bugmaster => apn
2016-12-30 18:08 apn Status tested => verified
2016-12-30 18:08 apn Resolution open => fixed
2017-02-08 11:32 git Note Added: 0063563
2017-09-29 16:21 user533 Fixed in Version => 7.2.0
2017-09-29 16:31 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker